Summary:	Cluster configuration system to manage the cluster config file
Summary(pl.UTF-8):	System konfiguracji klastra do zarządzania jego plikiem konfiguracyjnym
Name:		ccs
Version:	2.03.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://sources.redhat.com/cluster/ccs/
BuildRequires:	cman-devel >= 2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Cluster configuration system to manage the cluster config file.

%description -l pl.UTF-8
System konfiguracji klastra do zarządzania jego plikiem
konfiguracyjnym.

%package devel
Summary:	Header files and static library for ccs
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteka statyczna ccs
Group:		Development/Libraries
# doesn't require base

%description devel
Header files and static library for ccs.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteka statyczna ccs.

%prep
%setup -q -n cluster-%{version}

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--ncursesincdir=%{_includedir}/ncurses \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_gnbd \
	--without_kernel_modules
%{__make} -C %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} -C %{name} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/cluster
touch $RPM_BUILD_ROOT%{_sysconfdir}/cluster/cluster.xml

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/ccs_test
%attr(755,root,root) %{_sbindir}/ccs_tool
%attr(755,root,root) %{_sbindir}/ccsd
%dir %{_sysconfdir}/cluster
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cluster/cluster.xml
%{_mandir}/man5/cluster.conf.5*
%{_mandir}/man7/ccs.7*
%{_mandir}/man8/ccs*.8*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/ccs.h
%{_libdir}/libccs.a
%changelog
* Mon Feb 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 197d52d
No empty pidfile/config.

* Sun May 22 2011 Jakub Bogusz <qboosh@pld-linux.org> dec5bfe
- updated to 2.03.10 (the last 2nd generation cluster release)
- removed optflags,include,compile patches

* Sun May 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 866aba7
- updated to 2.03.10 (the last 2nd generation cluster release)
- removed optflags,include,compile patches

* Tue Nov 03 2009 Szymon Siwek <sls@pld-linux.org> 946ee06
- added compile.patch

* Fri Mar 07 2008 Jakub Bogusz <qboosh@pld-linux.org> f7ff929
- proper fix; don't remove object dependencies

* Fri Mar 07 2008 hawk <hawk@pld-linux.org> 597bcc6
- don't try to compile header file (trying to fix compilation on Ac)
- release 2

* Fri Mar 07 2008 hawk <hawk@pld-linux.org> 44a55b0
- don't try to compile header file

* Fri Apr 06 2007 Jakub Bogusz <qboosh@pld-linux.org> b041859
- dropped magma

* Mon Apr 02 2007 zbyniu <zbyniu@pld-linux.org> a77a0d2
- up to 2.00.00

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a401fcd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5dfc7da
- converted to UTF-8

* Tue Sep 12 2006 sparky <sparky@pld-linux.org> 1af6858
- typo

* Mon Sep 11 2006 Jakub Bogusz <qboosh@pld-linux.org> a574008
- check-files cleanup

* Mon Sep 04 2006 zbyniu <zbyniu@pld-linux.org> 3ee3544
- up to 1.03.00

* Fri Aug 04 2006 sparky <sparky@pld-linux.org> 38b609a
- added optflags patch, sed killed

* Fri Aug 04 2006 sparky <sparky@pld-linux.org> 6133124
- NEW, OPTCFLAGS and LDFLAGS support

* Mon May 15 2006 zbyniu <zbyniu@pld-linux.org> 5c1498e
- up to 1.02.00

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> 607ecff
- fix chkconfig, rc-scripts deps

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> 8a50eb0
- use %service

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 54d9b6c
- killed trailing spaces/tabs

